Subject: Re: bug#77492: AppStream metadata updates

From: Peter Oliver <[email-masked]>
Date: Thu, 24 Apr 2025 15:10:09 +0100 (BST)

On Mon, 21 Apr 2025, Richard Stallman wrote:

> What is the purpose of adding these to what we distribute?

There’s a very brief overview at https://hughsie.github.io/oars/

> Who wants to include these things, and what reason does perse give?

While working on commit 4f3188a88c04602d151585dce3e93a5cff38a967, I noticed https://www.freedesktop.org/software/appstream/docs/chap-Metadata.html#tag-content_rating, and reasoned that when it comes to providing metadata, greater coverage is better.  If it is controversial, I am not sufficiently invested to argue to retain it.

> What consequences would result from our including these things?

Additional information will be displayed about GNU Emacs in GNOME Software, the application installer GUI (see attached screenshot for an example).  Presumably other installer GUIs will do similar.  As far as I’m aware, that’s all.

> What consequences would result from our not including these things?

GNOME Software will unobtrusively say “No age rating information available” on it’s page for GNU Emacs.  Again, similar GUIs will presumably do similar.  As far as I’m aware, that’s all.

-- 
Peter Oliver